Last Comment Bug 8801 - [BETA] [FEATURE] font prefs: work with owner to finalize spec and impl
: [BETA] [FEATURE] font prefs: work with owner to finalize spec and impl
Status: VERIFIED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: All All
: P2 major (vote)
: M13
Assigned To: Erik van der Poel
: sairuh (rarely reading bugmail)
:
Mentors:
: 7586 19486 (view as bug list)
Depends on:
Blocks: 6827 9240 15989 16950
  Show dependency treegraph
 
Reported: 1999-06-23 14:44 PDT by Erik van der Poel
Modified: 2005-03-17 13:34 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch to get Mozilla to update font prefs dynamically. (4.92 KB, patch)
1999-12-16 13:01 PST, Erik van der Poel
no flags Details | Diff | Splinter Review
Patch to get font prefs to work on Unix. (17.94 KB, patch)
1999-12-16 13:10 PST, Erik van der Poel
no flags Details | Diff | Splinter Review

Description Erik van der Poel 1999-06-23 14:44:09 PDT
Figure out who owns the font picker, and work with that person to finalize the
spec and get it implemented, with all I18N issues in mind.
Comment 1 Peter Trudelle 1999-07-02 00:08:59 PDT
That would be Eric Vaughan, evaughan
Comment 2 Erik van der Poel 1999-07-02 09:40:59 PDT
Sorry, when I saw the term "font picker" in XPToolkit docs, I assumed it was
talking about the font prefs dialog under Edit.Preferences. In this bug report,
I'm really referring to the font prefs, so I've changed the Summary above. The
front end of the prefs is owned by Matt Fisher.
Comment 3 Erik van der Poel 1999-07-02 22:26:59 PDT
Matt said he'd do font prefs by M9, so marking this M9.
Comment 4 Erik van der Poel 1999-08-31 10:19:59 PDT
Won't make M10, marking M11.
Comment 5 Frank Tang 1999-09-17 12:37:59 PDT
trudell told me they will drop font selector widget (which have both font face
selection and size selection in one widget) for M11. I told him it is ok since
we can use font face selection widget + a size menu to work around.
Comment 6 Ben Goodger (use ben at mozilla dot org for email) 1999-12-07 19:14:59 PST
I tried hooking up something like this the other day, for fun. I used
nsIFontEnumerator. Unfortunately, I have 388 fonts (not really that many, but
still quite a lot of DOM appends to be doing on a select widget) and it hung
mozilla every time I tried to load the font list -_-

Some people say that we need a "modern" font picking system like that
recommended at verso.com (can't remember the url, braden@endoframe.com has it)
- one that lets you pick default serif, sans-serif, monospace, fantasy, dingbats
etc.
Comment 7 matt 1999-12-07 19:24:59 PST
i have the font panel in my tree with
the fontenumerator pretty much working.
I was going to try to check it in today
but i got a damn pdt+ treewidget bug.
Comment 8 Erik van der Poel 1999-12-07 19:37:59 PST
rgoodger, the font prefs panel that Matt is working on will have all of the CSS
generic fonts (serif, sans-serif, monospace, cursive and fantasy).

Matt, it's good to hear that you got it pretty much working. I hope you got my
email about the font pref name change. The naming scheme that I am using in the
backend code that has already been checked in is:

  user_pref("font.name.serif.x-western", "Times New Roman");
  user_pref("font.size.monospace.ja", 10);

However, the backend code does not currently dynamically update the fonts when
the prefs change. You need to quit the browser, and re-start, to take effect.
Comment 9 Erik van der Poel 1999-12-09 11:25:59 PST
*** Bug 7586 has been marked as a duplicate of this bug. ***
Comment 10 Erik van der Poel 1999-12-09 11:27:59 PST
Need to add default fonts to the default prefs file for each platform.
Comment 11 Erik van der Poel 1999-12-09 11:32:59 PST
*** Bug 19486 has been marked as a duplicate of this bug. ***
Comment 12 chris hofmann 1999-12-09 22:02:59 PST
checkin log show erik has checked in a fix for this in
nsPresContext.cpp

marking fixed to get on the testing radar.
Comment 13 bobj 1999-12-09 23:45:59 PST
Reopened.
This bug is not completely fixed.  There is additional work needed to
complete this feature.  Erik (and Frank for Mac) have incrementally
checked in parts to allow QA to test parts and to provide the pieces
needed to hook up the XUL pref dialog work that Matt is working on.
Comment 14 chris hofmann 1999-12-10 07:46:59 PST
moving the rest of the work off to m13.
Comment 15 Erik van der Poel 1999-12-15 19:16:59 PST
Montse, could you let me know which font names are used for the default fonts
in the various localized versions of Communicator 4.X? Thanks!
Comment 16 Erik van der Poel 1999-12-16 13:01:59 PST
Created attachment 3545 [details] [diff] [review]
Patch to get Mozilla to update font prefs dynamically.
Comment 17 Erik van der Poel 1999-12-16 13:04:59 PST
Matt, I just attached a patch to this bug to get Mozilla to update font prefs
dynamically. So, to test your font prefs dialog in XUL/JS, you can use this
patch in your local tree, and make sure that the fonts change when you hit the
OK button in prefs. I tried it already, and it sorta works, but there is a bug
in the layout engine where the new fonts are not immediately displayed, and you
need to hide and show the window. It also doesn't relayout properly until you
do View.Reload. Anyway, this patch may help you test your XUL/JS while I'm on
vacation 12/18 to 1/5.
Comment 18 Erik van der Poel 1999-12-16 13:10:59 PST
Created attachment 3546 [details] [diff] [review]
Patch to get font prefs to work on Unix.
Comment 19 Erik van der Poel 1999-12-16 13:11:59 PST
All, I just attached a patch to get font prefs to work on Unix. If anybody
wants to test font prefs on Unix while I'm on vacation 12/18 to 1/5, please
apply this patch to your local tree.
Comment 20 sairuh (rarely reading bugmail) 2000-01-06 14:55:59 PST
spam: in my testing realm, so reassigning qa contact to me, en masse.
Comment 21 Erik van der Poel 2000-01-17 13:10:59 PST
Created bug 24172 for adding default font names to default pref files. Closing
this bug for M13. If there are any specific bugs in this feature, please open
separate bug reports.
Comment 22 sairuh (rarely reading bugmail) 2000-01-31 18:32:43 PST
verif.
Comment 23 leger 2000-02-14 08:47:46 PST
Bulk move of all Pref UI component bugs to new Preferences component.  Pref UI 
component will be deleted.

Note You need to log in before you can comment on or make changes to this bug.